# $Id: e-smith-samba.spec,v 1.29 2022/11/29 21:28:31 jpp Exp $

Summary: smeserver specific Samba configuration files and templates
%define name smeserver-samba
Name: %{name}
%define version 11.0.0
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

Obsoletes: e-smith-netlogon
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Provides: e-smith-samba
Obsoletes: e-smith-samba
BuildRequires: smeserver-devtools >= 1.13.1-03
Obsoletes: e-smith-regedit
Requires: smeserver-lib >= 11.0.0-7
Requires: smeserver-formmagick >= 1.4.0-9
Requires: samba >= 3.5.10
Requires: samba-client >= 3.5.10
Requires: samba-common >= 3.5.10
Obsoletes: samba3x
Obsoletes: samba3x-client
Obsoletes: samba3x-common
Obsoletes: samba3x-winbind
Obsoletes: libsmbclient <= 3.0.33
# Obsolete SerNet packages
Obsoletes: libsmbclient0
Obsoletes: libwbclient0
Obsoletes: samba3
Obsoletes: samba3-cifsmount
Obsoletes: samba3-client
Obsoletes: samba3-doc
Obsoletes: samba3-utils
Obsoletes: samba3-winbind
Requires: /usr/bin/tdbbackup
AutoReqProv: no

%changelog
* Tue Aug 13 2024 Jean-Philippe Pialasse <jpp@koozali.org> 11.0.0-6.sme
- use esmith::util::ldap for machines LDAP account [SME: 12687]

* Tue Apr 16 2024 Jean-Philippe Pialasse <jpp@koozali.org> 11.0.0-5.sme
- remove deprecated options [SME: 12630]

* Sat Apr 13 2024 Jean-Philippe Pialasse <jpp@koozali.org> 11.0.0-4.sme
- fix regex to get SID [SME: 12581]

* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-3.sme
- Update createlinks to create smeserver-package-update event[SME: 12579]

* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-2.sme
- Set license file to GPL2.0  [SME: 12577]

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-1.sme
- Update Release and Version to base version and 1st release for SME11 [SME: 12518]

* Sat Mar 23 2024 Trevor Batley <trevor@batley.id.au> 2.8.0-1.sme
- changes for [SME: 12518]
- add Obsoletes: e-smith-samba
- bump Version and reset Release

* Sat Mar 23 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-29.sme
- Rename to smeserver-samba [SME: 12359]

* Sat Mar 23 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-28.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Mar 23 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue Nov 29 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-27.sme
- Fix fail to join the domain [SME: 12231]
  patch from  bunkobugsy ; Fix from Nico Tiana

* Wed Nov 03 2021 Terry Fage <terry@fage.id.au> 2.6.0-26.sme
- samba fix typo in delete v6 profile dir win10 [SME: 11725]

* Tue Nov 02 2021 Terry Fage <terry@fage.id.au> 2.6.0-25.sme
- samba delete v6 profile dir win10 [SME: 11725]

* Mon Nov 01 2021 Terry Fage <terry@fage.id.au> 2.6.0-24.sme
- samba create v6 profile dir win10 [SME: 11725]

* Mon Apr 19 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-23.sme
- netlogon.bat +x [SME: 11566]

* Fri Apr 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-21.sme
- add possibility to reenable allow execute always on ibays homes or everywhere [SME: 11555]

* Fri Apr 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-20.sme
- fix double entries for min protocol [SME: 11558]

* Tue Mar 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-19.sme
- clean rsyslog syntax for smbd and nmbd [SME: 11422]

* Sun Feb 21 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-18.sme
- fix noise in message log from nmbd and smbd redirected to dedicated logs [SME: 11349]

* Mon Feb 15 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-17.sme
- allow using user-create-profiledir action with temp or package-update events  [SME: 11348]

* Sun Jan 03 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-16.sme
- fix log noise for smb.service [SME: 11157]

* Sat Jan 02 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-15.sme
- add Restart=always [SME: 11118]
- add Restart=always [SME: 11117]

* Fri Jan 01 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-14.sme
- migrate nmbd to systemd [SME: 11118]
- migrate smbd to systemd [SME: 11117]
  create generik smb.service service
- create e-smith-samba-update event [SME: 11157]

* Wed Dec 16 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 2.6.0-13.sme
- Fix mutex locking [SME: 11199]

* Thu Nov 26 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 2.6.0-12.sme
- Fix pid directory [SME: 11198]

* Mon Nov 16 2020 John Crisp <jcrisp@safeansoundit.co.uk> 2.6.0-11.sme
- Add /etc/krb5.conf as template using templates from smeserver-samba
- [SME: 11093]

* Sat Jun 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-10.sme
- remove win98pwdcache.reg from server-resources [SME: 9060]

* Tue Jun 23 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-9.sme
- set min server and client protocol SMB2 [SME: 10576]
  add check so max always greater than min
- add port 445 if min server protocol is SMB2 or SMB3 [SME: 10963]

* Fri Feb 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-7.sme
- fix typo in  /server-resources/regedit/win10samba.reg  [SME: 10515]

* Fri Mar 24 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-6.sme
- fix outlook error code 0x8004011c [SME: 10169]
- when setting up and email account on a win10 computer joined to a domain (with roaming profiles)

* Fri Jul 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-5.sme
- add systemd skip redirect [SME: 9688]

* Thu Jul 14 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-4.sme
- Fix deprecated syntax '~' in rsyslog [SME: 9398]
- added e-smith-samba-2.6.0.bz9398.DeprecatedRsyslogSyntaxSamba.patch

* Thu May 12 2016 Daniel Berteaud <daniel@firewall-services.com> 2.6.0-3.sme
- Rebuild for [SME: 9393]

* Tue Apr 12 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-2.sme
- dropped display charset option [SME: 9440]

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Wed Sep 16 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-22.sme
- The samba performance registry is now added in the win10samba.reg [SME: 9038]

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-20.sme
- Corrected typo in patch of bad character '“', relative to roaming profile
- e-smith-samba-2.4.0.bz9038.W10_registry.patch [SME: 9038]
- e-smith-samba-2.4.0.bz9048.RoamingProfileForW8.patch [SME: 9048]

* Wed Sep 9 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-18.sme
- Added e-smith-samba-2.4.0.bz9048.RoamingProfileForW8.patch
- Modified the registry file for roaming profile with W8 [SME: 9048]
- Roaming profiles follow Windows version (.V2,.V3,.V4,.V5) [SME: 9038]

* Fri Sep 4 2015 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-17.sme
- Replace syslog template to rsyslog so samba audits are logged in the correct
  file [SME: 9037]

* Fri Sep 4 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-16.sme
- added W10 support to SME Domain [SME: 9038]
- e-smith-samba-2.4.0.bz9038.W10_registry.patch

* Thu Sep 3 2015 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-15.sme
- Fix samba audit parameters [SME: 9037]
  Patch from Jorge Gonzalez

* Sun Feb 2 2014 Ian Wells <esmith@wellsi.com> 2.4.0-14.sme
- Remove 20smb as migrating from pre-SME7 is not supported [SME: 7486]

* Thu Oct 10 2013 Greg Zartman <gzartman@koozali.org> 2.4.0-13.sme
- Replace vfs_shadow_copy with vfs_shadow_copy2 for shadow snapshots [SME:7894] 

* Fri Jul 5 2013 Ian Wells <esmith@wellsi.com> 2.4.0-12.sme
- Add template for wide links [SME: 7752]

* Fri Jul 5 2013 Ian Wells <esmith@wellsi.com> 2.4.0-11.sme
- Add templates for max protocol [SME: 7753]

* Fri Jul 5 2013 Ian Wells <esmith@wellsi.com> 2.4.0-10.sme
- Add support for Windows 8 domain joining & user login [SME: 7751]

* Fri Jul 5 2013 Ian Wells <esmith@wellsi.com> 2.4.0-9.sme
- Add windows network performance enhancements registry file. [SME: 7566]
  Patch from Greg Zartman.

* Fri May 24 2013 Ian Wells <esmith@wellsi.com> 2.4.0-8.sme
- Remove 40MachineUID as not needed after e-smith-samba-2.2.0-38 [SME: 7608]

* Tue May 21 2013 Ian Wells <esmith@wellsi.com> 2.4.0-7.sme
- Update default ServerName in 30smbServerName [SME: 7609]

* Mon Apr 29 2013 chris burnat <devlist@burnat.com> 2.4.0-6.sme
- Add ability to configure waiting for network Win7 registry option, patch from Greg. [SME: 7566]

* Thu Mar 14 2013 Ian Wells <esmith@wellsi.com> 2.4.0-5.sme
- Change default Workgroup and Domain to sme-server [SME: 7482]

* Mon Mar 11 2013 Shad L. Lords <slords@mail.com> 2.4.0-4.sme
- Obsolete el5 version of libsmbclient [SME: 7273]

* Thu Feb 21 2013 Ian Wells <esmith@wellsi.com> 2.4.0-3.sme
- Remove samba_audit specific loglotate configuration [SME: 7388]

* Sat Feb 2 2013 Shad L. Lords <slords@mail.com> 2.4.0-2.sme
- Change tdbbackup12 back to tdbbackup

* Thu Jan 31 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Mon Jan 21 2013 Ian Wells <esmith@wellsi.com> 2.2.0-50.sme
- Enable smb auditing per ibay [SME: 6176]

* Thu Jan 17 2013 Shad L. Lords <slords@mail.com> 2.2.0-49.sme
- Update dependency to /usr/bin/tdbbackup12 [SME: 7210]

* Sun Jan 29 2012 Ian Wells <esmith@wellsi.com> 2.2.0-48.sme
- Obsolete only SerNet samba packages [SME: 6772]

* Sat Jan 21 2012 Ian Wells <esmith@wellsi.com> 2.2.0-47.sme
- Obsolete SerNet samba packages, again [SME: 6772]

* Fri Dec 23 2011 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-46.sme
- Obsolete SerNet samba packages [SME: 6772]

* Thu Mar 17 2011 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-45.sme
- Revert directory requirement from 2.2.0-43 [SME: 6571]

* Thu Mar 17 2011 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-44.sme
- Revert changes made in 2.2.0-42 [SME: 6432]

* Tue Mar 15 2011 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-43.sme
- Fix separator in general smb.conf section for recycle:exclude* [SME: 6571]

* Tue Mar 15 2011 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-42.sme
- recycle:exclude_dir should contain directories [SME: 6432]

* Sat Mar 12 2011 Gavin Weight <gweight@gmail.com> 2.2.0-41.sme
- Fix Recycle Bin VFS Excludes syntax. [SME: 6432]

* Tue Nov 30 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-40.sme
- Create samba account during event for machine [SME: 6418]

* Tue Nov 30 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-39.sme
- Migrate existing machine uid in the DB (patch from Shad Lords) [SME: 6415]

* Tue Nov 30 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-38.sme
- Force uid/gid on machine accounts creation [SME: 6415]

* Wed Nov 10 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-37.sme
- Fix create-machine-accounts script [SME: 6358]

* Fri Nov 5 2010 Shad L. Lords <slords@lordsfam.net> 2.2.0-36.sme
- Call samba-group-mapping after user events too [SME: 6339]

* Wed Nov 3 2010 Shad L. Lords <slords@lordsfam.net> 2.2.0-35.sme
- Fix cpu critical patch missing ' [SME: 6330]

* Wed Nov 3 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-34.sme
- rename store-ldap-passwd and link it in other events [SME: 6332]

* Wed Nov 3 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-33.sme
- Store the ldap admin pw early in the bootstrap-ldap-save event [SME: 6332]

* Wed Nov 3 2010 Shad L. Lords <slords@lordsfam.net> 2.2.0-32.sme
- Make cpu calls critical only with ldap{Auth} is enabled [SME: 6330]

* Tue Nov 2 2010 Shad L. Lords <slords@lordsfam.net> 2.2.0-31.sme
- Always use cpu, do unix if ldap{Auth} is disabled [SME: 6321]

* Tue Nov 2 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-30.sme
- Fix a typo in create-machine-account [SME: 6321]

* Tue Nov 2 2010 Shad L. Lords <slords@mail.com> 2.2.0-29.sme
- Clean up old domain entries when using ldap [SME: 6322]

* Mon Nov 1 2010 Shad L. Lords <slords@mail.com> 2.2.0-28.sme
- Auth against ldap if it is master [SME: 6321]

* Mon Nov 1 2010 Shad L. Lords <slords@mail.com> 2.2.0-27.sme
- Change the way groups are modified on samba3x [SME: 6314]

* Wed Oct 27 2010 Shad L. Lords <slords@mail.com> 2.2.0-26.sme
- Change the way groups are modified on samba3x [SME: 6314]

* Thu Oct 14 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-25.sme
- Fix anonymous access [SME: 6254]

* Fri Oct 8 2010 Shad L. Lords <slords@mail.com> 2.2.0-24.sme
- Fix moving secrets.tdb file [SME: 6057]

* Sat Oct 2 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-23.sme
- Empty output when listing sensible attribtues [SME: 6254]

* Sat Oct 2 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-22.sme
- Add sambaSID to the list of sensible attributes [SME: 6254]

* Sat Oct 2 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-21.sme
- Deny access to some attributes for anonymous users [SME: 6254]

* Thu Sep 23 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-20.sme
- povide an option to enable lanman passwords [SME: 6229]

* Thu Sep 23 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-19.sme
- Add slapd support [SME: 6228]

* Thu Jul 08 2010 Shad L. Lords <slords@mail.com> 2.2.0-18.sme
- Remove require strong key part of regedit file [SME: 6119]

* Wed Jun 23 2010 Shad L. Lords <slords@mail.com> 2.2.0-17.sme
- Use samba3x package for windows 7 compatibility [SME: 5964]

* Mon Jun 14 2010 Federico Simoncelli <federico.simoncelli@gmail.com> 2.2.0-16.sme
- Backup all the tdb files (thanks Daniel) [SME: 5856]
- Post scriptlet fix [SME: 6057]

* Tue Mar 30 2010 Filippo Carletti <filippo.carletti@gmail.com> 2.2.0-15.sme
- Explicitly declare samba private dir [SME: 5857]

* Fri Mar 26 2010 Filippo Carletti <filippo.carletti@gmail.com> 2.2.0-14.sme
- Fix tdb file paths to backup in run script [SME: 5856]

* Wed Mar 17 2010 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-13.sme
- Add dependency /usr/bin/tdbbackup [SME: 5851]

* Sat Mar 6 2010 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-12.sme
- Add missing comma in previous patch [SME: 5821]
- Silently skip non-existent profile folder [SME: 5821]

* Sat Mar 6 2010 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-11.sme
- Properly quote the profile folders manually [SME: 5821]

* Sat Mar 6 2010 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-10.sme
- Rework V2 profile patch to fix error on user-delete event [SME: 5821]

* Sun Feb 7 2010 Shad L. Lords <slords@mail.com> 2.2.0-9.sme
- Create/remove V2 profile directories [SME: 3666]

* Sun Jan 31 2010 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-8.sme
- Enable bindinterfaces by default [SME: 3325]

* Sun Jan 31 2010 Stephen Noble <support@dungog.net> 2.2.0-7.sme
- Set recyle bin permissions [SME: 1734]

* Sat Dec 26 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-6.sme
- Add registry file to server-resources to allow windows 7 to 
  join Samba 3.x domains [SME: 5425]

* Tue Jun 2 2009 Shad L. Lords <slords@mail.com> 2.2.0-5.sme
- Fix warnings in template expansion [SME: 5309]

* Sun Nov 23 2008 Shad L. Lords <slords@mail.com> 2.2.0-4.sme
- Fix migrate fragments for samba [SME: 4777]

* Tue Oct 28 2008 Shad L. Lords <slords@mail.com> 2.2.0-3.sme
- Fix oslevel fragment for server roles [SME: 4730]

* Mon Oct 13 2008 Shad L. Lords <slords@mail.com> 2.2.0-2.sme
- Add patch to support multiple samba roles [SME: 4172]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Sun Aug  3 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.14.1-8
- Fix oslevel template expansion. [SME: 4470]

* Thu Apr  3 2008 Charlie Brady <charlieb@e-smith.com> 1.14.1-7
- Disable unix extensions. [SME: 4164]

* Fri Mar 21 2008 Shad L. Lords <slords@mail.com> 1.14.1-6
- Hide normally hidden profile files [SME: 4082]

* Thu Mar 13 2008 Shad L. Lords <slords@mail.com> 1.14.1-5
- Fix shadowcopy with < 2 ibays/users [SME: 3862]

* Wed Feb 13 2008 Stephen Noble <support@dungog.net> 1.14.1-4
- Remove <base> tags now in general [SME: 3925]

* Wed Jan 09 2008 Stephen Noble <support@dungog.net> 1.14.1-3
- Allow browsable to be disabled per ibay [SME: 2966]

* Sat Dec 15 2007 Shad L. Lords <slords@mail.com> 1.14.1-2
- Only create admin group if Domain Admins exists [SME: 3646]

* Sat Dec 15 2007 Shad L. Lords <slords@mail.com> 1.14.1-1
- Roll new tarball and bump version for 3.0.25b version [SME: 3495]

* Fri Dec 14 2007 Shad L. Lords <slords@mail.com> 1.14.0-36
- admin user no longer needed in 3.0.25 [SME: 3645]

* Fri Dec 14 2007 Shad L. Lords <slords@mail.com> 1.14.0-35
- Expand smb.conf in group events to complete #33 [SME: 3495]
- Add rid to groupmap command to fix 3.0.25b groupmap [SME: 3644]
- Add pam.d/samba to fix broken upstream package [SME: 3641]

* Fri Nov 30 2007 Gavin Weight <gweight@gmail.com> 1.14.0-34
- Removed printer admin template. [SME: 3605]

* Fri Oct 26 2007 Shad L. Lords <slords@mail.com> 1.14.0-33
- Add "Domain Admins" to admin users [SME: 3495]

* Thu Oct 11 2007 Charlie Brady <charlie_brady@mitel.com> 1.14.0-32
- Delete smbpasswd file prior to restore. [SME: 2313]

* Wed Oct 10 2007 Charlie Brady <charlie_brady@mitel.com> 1.14.0-31
- Delete printer tdb file on printer delete. [SME: 3336]

* Sat Jun 2 2007 Shad L. Lords <slords@mail.com> 1.14.0-30
- revert last change.  Breaks sme8 and is caught by pass check lib.

* Sat Jun 2 2007 Shad L. Lords <slords@mail.com> 1.14.0-29
- pam_unix requires passwords >= 6 [SME: 3039]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Mon Apr 9 2007 Stephen Noble <support@dungog.net> 1.14.0-28
- remove use client driver in smb.conf [SME: 1583]

* Fri Feb 16 2007 Shad L. Lords <slords@mail.com> 1.14.0-27
- Change runsvctrl to sv to support runit v1.7.x [SME: 1179]

* Tue Jan 30 2007 Charlie Brady <charlie_brady@mitel.com> 1.14.0-26
- Use full path to 'net' command consistently in update-domain-group-maps.
  [SME: 2400]

* Fri Jan 26 2007 Shad L. Lords <slords@mail.com> 1.14.0-25
- Set ServerName to SystemName after inital configuration [SME: 2378]

* Thu Jan 25 2007 Shad L. Lords <slords@mail.com> 1.14.0-24
- Allow oplocks to be disabled per ibay [SME: 543]
- Allow veto oplock files per ibay [SME: 1784]

* Thu Jan 25 2007 Shad L. Lords <slords@mail.com> 1.14.0-23
- Disable csc policy for roaming profiles and make optional for
  ibays [SME: 1507]

* Thu Jan 11 2007 Shad L. Lords <slords@mail.com> 1.14.0-22
- Include admin in user groups. [SME: 1950]

* Wed Jan 10 2007 Shad L. Lords <slords@mail.com> 1.14.0-21
- Make smb fragment have same logic as copy script.

* Wed Jan 10 2007 Shad L. Lords <slords@mail.com> 1.14.0-20
- Initial attempt at shadow copy script. [SME: 1549]

* Wed Jan 10 2007 Shad L. Lords <slords@mail.com> 1.14.0-19
- Add success tick to workgroup panel. [SME: 1565]

* Wed Jan 10 2007 Shad L. Lords <slords@mail.com> 1.14.0-18
- Allow workgroup name be begin with numbers. [SME: 1607]

* Sat Jan 06 2007 Shad L. Lords <slords@mail.com> 1.14.0-17
- Rework vfs modules to allow more then just recycle bin to work. [SME: 1549]

* Thu Jan 04 2007 Shad L. Lords <slords@mail.com> 1.14.0-16
- Backup important tdb files. [SME: 2201]

* Wed Jan 03 2007 Shad L. Lords <slords@mail.com> 1.14.0-15
- Add template to specify logon drive. [SME: 1155]

* Thu Dec 14 2006 Shad L. Lords <slords@mail.com> 1.14.0-14
- Fix patch to map users to groups

* Tue Dec 12 2006 Federico Simoncelli <federico.simoncelli@gmail.com> 1.14.0-13
- Modified the samba_check_password script to use the new validatePassword
  function in esmith::util. [SME: 2100]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com> 1.14.0-12
- Don't delete samba database.  Instead rename them.

* Fri Dec 01 2006 Shad L. Lords <slords@mail.com> 1.14.0-11
- Map user groups so roaming profiles work [SME: 1950]

* Tue Aug 22 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-09
* Tue Nov 14 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-10
Provides: e-smith-samba
- Add Requires: samba{,-client,-common} to complete dependency tree [SME: 2062]

* Tue Aug 22 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-09
- Added templates.metadata/etc/smb.conf so that 
  expand-template /etc/smb.conf generates the file in /etc/samba/ [SME: 87]

* Tue Jul 18 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-08
- Default smb ports to 139 only to reduce log noise [SME: 1562]

* Thu Jun 29 2006 Shad L. Lords <slords@mail.com> 1.14.0-07
- Remove samba caches if getlocalsid fails [SME: 1487]

* Fri Jun 09 2006 Charlie Brady <charlie_brady@mitel.com> 1.14.0-06
- Fix case conversion in last change. [SME: 1523]

* Fri Jun 09 2006 Charlie Brady <charlie_brady@mitel.com> 1.14.0-05
- Add password strength checking to password change via samba (thanks
  Federico Simoncelli and Filippo Carletti. [SME: 1523]

* Wed May 31 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-04
- Remove -S flag from smbd so we get useful logs from Samba [SME: 1521]

* Tue Apr 18 2006 Charlie Brady <charlie_brady@mitel.com> 1.14.0-03
- Clean up log noise from migrate fragment. [SME: 1257]
- Clean up prep section of spec file (and renumber patches).

* Mon Apr 10 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-02
- Ensure that Samba notices printer add/delete [SME: 1167]

* Thu Mar 16 2006 Gordon Rowell <gordonr@gormand.com.au> 1.14.0-01
- Roll stable stream version. [SME: 1016]

* Wed Mar 1 2006 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-16
- Revert veto appletalk files change. The patch is still in the SPEC
  file so we can apply it later. [SME: 668]

* Thu Feb 23 2006 Charlie Brady <charlie_brady@mitel.com> 1.13.2-15
- Fix problem with creating user profile dir. [SME: 761,874]

* Tue Feb 21 2006 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-14
- Relocate netlogon.bat from old location in post, not pre [SME: 768]
- Remove empty /home/netlogon directory, if we can [SME: 768]

* Fri Feb 17 2006 Gavin Weight <gweight@gmail.com> 1.13.2-13
- Fix Roaming profiles strange permissions problem. [SME: 761]

* Thu Feb 16 2006 Gavin Weight <gweight@gmail.com> 1.13.2-12
- Added veto files line. [SME: 668]

* Sat Feb 4 2006 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-11
- Adjusted passwd chat [SME: 652]

* Wed Jan 25 2006 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-10
- Add passwd and passwd chat definition so that password sync works [SME: 565]

* Wed Jan 25 2006 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-09
- Fix logic in last change w.r.t. KeepVersions [SME: 429]
- Add default smb{KeepVersions} == disabled [SME: 429]

* Tue Jan 24 2006 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-08
- Add fragment to add recycle bin if smb{RecycleBin} == enabled [SME: 429]
- Default smb{RecycleBin} == disabled [SME: 429]

* Wed Dec 14 2005 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-07
- Default smb{OpLocks} == enabled. Setting it to disabled will 
  disable oplocks [SME: 318]

* Mon Dec 05 2005 Filippo Carletti <carletti@mobilia.it> 1.13.2-06
- Better smb.conf readability [SME067]

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.13.2-05
- Bump release number only

* Sun Nov 20 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.2-04]
- Correct typo and escape the $ in [print$] in last fix [SF: 1357840]

* Tue Nov 15 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.2-03]
- Create and use default for  smb{UseClientDriver} [SF: 1357840]

* Tue Nov 15 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.2-02]
- Change browsable -> browseable for consistency [SF: 1357840]

* Fri Oct 14 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.2-01]
- Remove L10Ns from base packages [SF: 1309520]

* Fri Oct 14 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.1-01]
- New dev stream before relocating L10Ns

* Fri Sep 30 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.0-28]
- Added Italian L10N - Thanks Filippo Carletti [SF: 1309266]

* Mon Sep 26 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.13.0-27]
- Added German L10N - Thanks Dietmar Berteld [SF: 1293325]

* Mon Sep 19 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-26]
- Fix hosts allow specification. [SF: 1295752]

* Tue Aug  9 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-25]
- Roll in content from e-smith-regedit, and obsolete it.

* Tue Aug  2 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-24]
- Remove redundent and deprecated use of esmith::config and esmith::db
  from action scripts.

* Tue Aug  2 2005 Shad Lords <slords@email.com>
- [1.13.0-23]
- Add TCPPorts/UDPPorts and access to smbd/nmbd [SF: 1246986]

* Tue Jul 19 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-22]
- Fix missing comma [SF: 1216546]

* Mon Jul 18 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-21]
- Avoid use of deprecated tie interface to accounts db. Use "config"
  rather than "db" to fetch status in run script. [SF: 1216546]

* Mon Jul 18 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-20]
- Charset changes from Gordon: on new installs, default to UTF8.
- Default smb{UnixCharSet} == UTF8
- If smb record exists (i.e. upgrade), but UnixCharSet is not defined,
  set it to ISO8859-1 to maintain filenames on upgrade [SF: 1204695]

* Wed Jun 15 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-19]
- Restart nmbd during workgroup-update event. [SF: 1220928]

* Tue Apr 19 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-18]
- Need to open accounts db r/w in create-machine-account script.

* Thu Mar 31 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-17]
- Fix missing "use" in create-machine-account script.

* Thu Mar 17 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-16]
- Last fix was wrong. Real problem was typo in default property setup.
- Remove redundent restart-samba action.

* Wed Mar 16 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-15]
- Fix typo in workgroup property lookup in workgroup panel.

* Sun Mar 13 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-14]
- Group mapping fix from Shad. [MN00070553]

* Fri Mar 11 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-13]
- Add service entries for smbd and nmbd, which slave their own
  status from the smb entry. This allows the generic service
  restart stuff to work. [MN00065576]
- Fix dangling restart-dhcpd symlink. [MN00064130]

* Wed Feb 23 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-12]
- Unify the three group mapping scripts into one. [MN00070553]

* Tue Feb 22 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-11]
- Fix template expansion location of smb.conf [MN00063515]

* Tue Feb 22 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-10]
- Fix typo in post scriptlet. [MN00063515]

* Tue Feb 22 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-09]
- Add domain group mapping, contributed by Shad/Greg. [MN00070553]
- Remove anachronisms in create-machine-account script.

* Fri Feb 18 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-08]
- Fix small template breakages if $LocalIP is not defined.
- Fix warnings from post install script. [MN00070549]
- Remove obsolete "domain admin group" entry from /etc/smb.conf template.
  [MN00063515]
- Revert to standard /etc/samba/smb.conf location for config file.
  [MN00063515]

* Fri Feb 18 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-07]
- Fix various smb.conf template expansion probs. [MN00063515]

* Fri Feb 18 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-06]
- Fix typo in template fragment. Commit new files omitted from previous
  checkin in error. [MN00063515]

* Thu Feb 17 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-05]
- Update samba configuration to use samba 3 features. Update to
  current APIs. [MN00063515]
- Start nmbd before smbd. [MN00070113]

* Thu Feb 17 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-04]
- Use defaults mechanism to initialise database entries, and migrate
  fragment to convert from deprecated db entries to current style
  Obsolete conf-netlogon script. [MN00062545]
- Use generic_template_expand action where possible, in place
  of specific actions. Update e-smith-lib dependency. [MN00064130]
- Use generic service adjust action for reload/restart. [MN00065576]

* Mon Feb  7 2005 Charlie Brady <charlieb@e-smith.com>
- [1.13.0-03]
- Run smbd and nmbd's multilogs as smelog user. [MN00063836]

* Thu Feb  5 2004 Michael Soulier <msoulier@e-smith.com>
- [1.13.0-02]
- Updated build dependencies. [msoulier 10992]

* Wed Feb  4 2004 Michael Soulier <msoulier@e-smith.com>
- [1.13.0-01]
- rolling to dev - 1.13.0

* Wed Feb  4 2004 Michael Soulier <msoulier@e-smith.com>
- [1.12.0-01]
- rolling to stable - 1.12.0

* Wed Feb  4 2004 Mark Knox <markk@e-smith.com>
- [1.11.0-16]
- Include rc1.d/K35smb symlink for proper shutdown in single user mode
  [markk 10958]

* Tue Nov 25 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-15]
- Removing client driver option, to move to [printers] section.
  [msoulier 10623]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-14]
- Rolling again to pick up genfilelist change. [msoulier 10648]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-13]
- Moved the e-smith-smb script to supervise/smb, to plan ahead.
  [msoulier 6442]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-12]
- Stopped sourcing /etc/sysconfig/samba, and fixed a syntax error in the
  initscript. [msoulier 6442]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-11]
- Rollback on serviceControl-using scripts. They were not broken.
  [msoulier 6442]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-10]
- Changed the action script code for the new initscript. [msoulier 6442]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-09]
- Tweaked the smbd run script, and e-smith-smb. [msoulier 6442]

* Mon Nov 17 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-08]
- Added e-smith-smb wrapper to manage both services. [msoulier 6442]

* Sun Nov 16 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-07]
- Added run files for multilog. [msoulier 6442]

* Sun Nov 16 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-06]
- Fixing broken specfile resulting in near-empty filelist. [msoulier 6442]

* Fri Nov 14 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-05]
- Added supervision of smbd and nmbd. First attempt. [msoulier 6442]
- Updated createlinks script for new build library.

* Fri Nov 14 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-04]
- Added "use client driver" to printer conf. [msoulier 10623]

* Fri Nov  7 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-03]
- *sigh* Really added this time. TGIF. [msoulier 10486]

* Fri Nov  7 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-02]
- Added a "deadtime" option to kill connections, by default, after one week if
  they are no longer active. [msoulier 10486]

* Fri Nov  7 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-01]
- rolling to dev stream - 1.11.0

* Thu Sep 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.10.0-04]
- Relocated /etc/secrets.tdb to /etc/samba [gordonr 9759]

* Wed Sep 10 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.10.0-03]
- Always return "logon path" line, so that we return
  "logon path =" if roaming profiles are off [gordonr 9913]

* Wed Jul  2 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.10.0-02]
- Use samba defaults for preferred master and local master [gordonr 9208]
- Turn on wins support if we are the domain master [gordonr 9208]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Changing version to stable stream number - 1.10.0

* Wed Jun 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-32]
- Fix confusion in smb{DomainMaster} w.r.t. netlogons [gordonr 9064]

* Thu Jun 12 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-31]
- Added missing 02setupDomainMaster [gordonr 5053]
- Corrected 11winsServer to deal with WINSServer == me [gordonr 5053]

* Fri May 30 2003 Michael Soulier <msoulier@e-smith.com>
- [1.9.0-30]
- Removed dangling symlink to conf-samba-startup. [msoulier 8808]

* Wed May 28 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-29]
- Move smbpasswd file to /etc/samba/smbpasswd [gordonr 8747]

* Mon May 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-28]
- Added 'type' default fragment for the smb service. [charlieb 8785]

* Wed May 21 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-27]
- fix en-us, fr and es roaming profile text [lijied 5311]

* Tue May 20 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-26]
- Don't worry if the use doesn't have a profile directory [gordonr 6414]

* Tue May 20 2003 Michael Soulier <msoulier@e-smith.com>
- [1.9.0-25]
- Added a defaults fragment. [msoulier 8785]
- Removed conf-samba-startup. [msoulier 8785]

* Thu May 15 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-24]
- Made use of esmith::ConfigDB::wins_server [gordonr 5053]

* Tue May 13 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-23]
- Rationalised smb{WINSServer} and smb{DomainMaster} handling [gordonr 5053]

* Tue May  6 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-22]
- Add Spanish lexicon for workgroup [lijied 3793]

* Mon Apr 14 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-21]
- preferred master should not be set if WINSServer is set [gordonr 6849]

* Mon Apr 14 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-20]
- Limited the workgroup name to 15 characters [lijied 4971]

* Fri Apr 11 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-19]
- Changed workgroup and servername to lower case again [lijied 7371]

* Wed Apr  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.9.0-18]
- Fixed french lexicon for workgroup question. [msoulier 5311]

* Wed Apr  9 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-17]
- Changed workgroup and servername to lower case before validation
  and storage [lijied 7371]

* Mon Apr  7 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-16]
- Create new netlogon directory before trying to relocate netlogon.bat
  [gordonr 8060]

* Thu Apr  3 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-15]
- Removed Mitel Networks branding [lijied 8016]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-14]
- Fix c&p error in %pre [gordonr 5241]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-13]
- Do the relocation in the SPEC file so we don't have a stray
  directory [gordonr 5241]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-12]
- Relocate netlogon.bat -> /home/e-smith/files/samba/netlogon/netlogon.bat
  [gordonr 5241]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-11]
- Removed conf-dhcpd symlinks - now done in run script [gordonr 7771]

* Fri Mar 28 2003 Michael Soulier <msoulier@e-smith.com>
- [1.9.0-10]
- Re-worded the text in the workgroup panel. [msoulier 5311]
- Added french translation of that re-wording. [msoulier 5311]

* Fri Mar 28 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-09]
- Modified French lexicon to use lang="fr", rename the lexicon
  directory to fr [lijied 6787]

* Tue Mar 11 2003 Mike Dickson <miked@e-smith.com>
- [1.9.0-08]
- restricted length of workgroup entry to 15 characters [miked 4388]

* Thu Mar  6 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-07]
- Modified workgroup panel order [lijied 7356]

* Wed Mar  5 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-06]
- Split en-us lexicon from workgroup panel [lijied 4030]

* Fri Feb 28 2003 Lijie Deng <lijied@e-smith.com>
- [1.9.0-05]
- Added French lexicon for workgroup. [lijied 5003]

* Wed Jan 29 2003 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-04]
- Delete obsolete special case "primary" fragment in smb.conf.
  [charlieb 5652]

* Thu Jan  2 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-03]
- Split conf-samba-startup from e-smith-base/conf-startup 
- Relocated reload-samba from e-smith-base [gordonr 5509]

* Mon Dec  9 2002 Mike Dickson <miked@e-smith.com>
- [1.9.0-02]
- updates for new UI [miked 5494]

* Wed Nov 20 2002 Mike Dickson <miked@e-smith.com>
- [1.9.0-01]
- Changing to development stream; version upped to 1.9.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Roll to maintained version number to 1.8.0

* Tue Oct  8 2002 Mark Knox <markk@e-smith.com>
- [1.7.2-08]
- Removed stray DESCRIPTION tag from panel [markk 5135]

* Thu Sep 19 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.2-07]
- Fix i-bay section of smb.conf template [charlieb 4949]

* Fri Sep 13 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.2-06]
- Allow smb|WINSServerOverride property which is automagically pushed into
  the smb|WINSServer property before expanding Samba templates [gordonr 4590]

* Fri Sep 13 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.2-05]
- Allow domain master setting if smb|WINSServer set to this box [gordonr 4840]

* Tue Sep 10 2002 Mark Knox <markk@e-smith.com>
- [1.7.2-04]
- Minor refactoring of the last change [markk 3786]

* Tue Sep 10 2002 Mark Knox <markk@e-smith.com>
- [1.7.2-03]
- Remove deprecated split on pipe [markk 3786]

* Fri Aug 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.2-02]
- Add -M flag to useradd, to prevent creation of /noexistingpath [charlieb 4660]

* Wed Aug  7 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.2-01]
- Change default for oplocks from false to true, and add enable of kernel
  oplocks (although it's the default anyway. [charlieb 4520]

* Wed Jul 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-01]
- Use PAM password change rather than external passwd program and chat
  script. [charlieb 4433]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- Changing version to maintained stream number to 1.7.0

* Mon Jun  3 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.2-01]
- Add "pid directory" template fragment to smb.conf, to make samba 2.2.4
  happy (it otherwise wants to use the non-existent /var/run/samba).
  [charlie 3685]

* Mon Jun  3 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.1-01]
- Revert the posix locking change to the Profile share. We have rebuilt
  samba 2.2.4 under the 2.2.19 kernel as a better fix to the locking problem.
  [charlie 3685]

* Mon Jun  3 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Changing version to maintained stream number to 1.6.0

* Thu May 30 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.11-01]
- Disable posix locking for the Profile share, as a workaround for
  some locking wierdness with Win2K when saving roaming profiles.
  [charlie 3685]

* Tue May 28 2002 Kirrily Robert <skud@e-smith.com>
- [1.5.10-01]
- Fixed servername validation so dots are not allowed [skud 3695]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.8-01]
- RPM rebuild forced by cvsroot2rpm

* Thu May 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.7-01]
- Update workgroup panel test code to no longer refer to legacy Samba*
  config entries. [charlieb 3160]

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.6-01]
- Migrate obsolete Samba{DomainMaster,Workgroup,ServerName} settings
  in conf-samba then delete any of these if found. [charlieb 3160]

* Tue May  7 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.5-01]
- Further rework of the 11logon{Home,Path} fragments to allow setting
  of smb|LogonPath and smb|LogonHome without having to choose 
  smb|RoamingProfiles [gordonr 3072]

* Mon May  6 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.4-01]
- Localise SAVE button [gordonr 3220]
- Added nav bar entries [gordonr 3155]

* Fri May  3 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.3-01]
- Woops, create empty /etc/e-smith/tests in %build. [charlieb 3343]

* Fri May  3 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.2-01]
- Remove /etc/e-smith/tests/.dummy, and instead create empty
  /etc/e-smith/tests in %build. [charlieb 3343]

* Wed May  1 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.1-01]
- restart-nmbd should exit 0 nicely if smb service is disabled [gordonr 3325]

* Mon Apr 29 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.0-01]
- Rolling to development stream
- Always set up logon home and logon path. The Samba defaults are not
  particularly useful, and we want them to be defined to empty if
  not defined in the config db and we are not domain master [gordonr 3072]

* Wed Apr 17 2002 Adrian Chung <adrianc@e-smith.com>
- [1.4.2-01]
- Stop workgroup panel from getting and setting old legacy Samba* values.
- Panel now gets/sets 'smb' properties.

* Mon Apr 15 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.4.1-01]
- Language en->en-us

* Wed Apr 10 2002 Adrian Chung <adrianc@e-smith.com>
- [1.4.0-01]
- Remerging text change for domain controller setting into i18n'd panel. 
  [mac #3020]

* Wed Apr 10 2002 Kirrily Robert <skud@e-smith.com>
- [1.3.9-01]
- Added i18n'd workgroup panel [skud #3032]

* Tue Apr  9 2002 Adrian Chung <mac@e-smith.com>
- [1.3.8-01]
- Change quoting of %u to use single quotes in addUserScript template for
  smb.conf. [adrianc #3023]

* Wed Apr  3 2002 Adrian Chung <adrianc@e-smith.com>
- [1.3.7-01]
- Quote %u in add user script directive in smb.conf and remove unnecessary
  first line. [adrianc #3023]

* Tue Apr 02 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.6-01]
- D'Oh sama -> samba

* Tue Apr 02 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.5-01]
- Create missing profiles and printer driver directories

* Tue Apr 02 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.4-01]
- fix restart-nmbd to still start if it can't be stopped [tonyc #2764]

* Tue Mar 26 2002 Adrian Chung <adrianc@e-smith.com>
- [1.3.3-01]
- Modify text in web panel to say "leave set to default, or no if another
  server is already performing this function" with respect to domain master
  setting. [mac - #3020]

* Tue Mar 12 2002 Adrian Chung <adrianc@e-smith.com>
- [1.3.2-01]
- Make WINSServer property override value for DomainMaster, PreferredMaster,
  and LocalMaster.

* Tue Mar 12 2002 Adrian Chung <mac@e-smith.com>
- [1.3.1-01]
- rollRPM: Rolled version number to 1.3.1-01. Includes patches up to 1.3.0-02.

* Fri Feb 15 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-02]
- Migrate Samba* configuration items to properties of the smb service.

* Thu Feb 14 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-02.

* Thu Jan 03 2002 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-02]
- Reconfigure and restart dhcpd in workgroup update event, in case a
  WINS server has been added. See #2364.
- Purge prep section of lots of stuff which is no longer required
  since the rollRPM.

* Tue Dec 11 2001 Jason Miller <jay@e-smith.com>
- [1.2.0-01]
- rollRPM: Rolled version number to 1.2.0-01. Includes patches up to 1.1.0-34.

* Tue Dec  4 2001 Adrian Chung <adrianc@e-smith.com>
- [1.1.0-34]
- Adding workgroup panel, removed from e-smith-base.
- Minor text change, s/a Windows server/another server

* Mon Dec 03 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-33]
- Add conf-samba back into post-install event. Required for initial
  password set.

* Fri Nov 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-32]
- Check for user-deleted type in user-delete-profiledir

* Fri Nov 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-31]
- Extra slosh required in 11logonPath

* Fri Nov 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-30]
- Changed group of profiles parent directory to shared to make it searchable
- Replaced %N (NIS server) with %L (Netbios name) in 11logon{Home,Path}
- Reinstated [profiles] share and change logon path to use it
- Added action to user-{create,delete} to add/remove the profile subdirectory
- Added action to post-upgrade to create profiles for existing users
- New smb property RoamingProfiles - defaulting to "no" in conf-samba, 
  which disables logon {home,path} and [profiles] share

* Wed Nov 28 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-29]
- Reduced "printer admin" and "domain admin group" to the "admin" user

* Tue Nov 27 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-28]
- Undo the "Adminstrator" => "admin" mapping
- Remove smb.conf fragment which adds reference to smbusers
- Replace smbusers fragment so that the file now says "# this
  file is not used".

* Mon Nov 26 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-27]
- Remove /etc/smbusers - created empty in init-passwords, but never used
  until now

* Mon Nov 26 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-26]
- Templated /etc/samba/smbusers
- Map "Administrator" for domain logons -> admin
- Note: a local (non-domain) logon still gets treated/ignored as guest
- The property smb|AdminstratorAccount (default Administrator) can be
  used to specify an alternate Administrator account when that account is
  renamed on the Win* clients

* Tue Nov 20 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-25]
- Make printer$ share writable in the normal way, restricted by Unix
  permissions (admin:admin)

* Tue Nov 20 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-24]
- Make /etc/smbpasswd 0600,admin,root - allows "admin" to join domains 
- create-machine-account: SUID/SGID root - the script is called as 
  "admin" by Samba, but needs to be "root" to add Unix accounts
- create-machine-account: setRealToEffective really become root or locking
  the Unix account fails with "Only root can do that"
- create-machine-account: Auto-create machine account in accounts database.
  This should be fixed by allowing admin to write to the db fragments

* Mon Nov 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-23]
- Added extra slosh to strings in 11logon{Home,Path} and fixed c&p typo

* Mon Nov 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-22]
- Check for smb|...|LogonHome and smb|...|LogonPath in those fragments
  Default to ~/._winprofile as before, but allow overrides, for example
  set to empty for local profiles. 4.1.2+e-smith-netlogon and 5.0 both 
  defaulted to roaming profiles
- Explicitly return an empty string from some fragments if 
  $SambaDomainMaster=no, just to be tidy
- Used new e-smith-devtools to set /home/e-smith/files/samba to 
  02755,admin,admin and removed explicit chmod from prep

* Thu Nov 15 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-21]
- Commented out code in create-machine-account which called smbpasswd.
- Samba does this by itself, but we may want to enable it later if this 
  script is ever called outside Samba.

* Wed Nov 14 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-20]
- Moved profiles to ~user/._winprofile - somewhat better that .profile :-)
- Commented out [Profiles] share, since we are no longer using it

* Wed Nov 14 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-19]
- Made printer driver directories 0755, per "Samba Unleashed"

* Wed Nov 14 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-18]
- Removed conf-samba from post-install - done in bootstrap-console-save
- Moved all profiles (Win9x and WinNT/2K) under ~user/.profile
- Rewrote machine-account-create as an event
- Note: Unfortunately Samba currently requires the user "root" to 
  create machine accounts (i.e. enter "root" as the user on the client machine)
   A SUID script allows 'admin' to do all of the tasks, but the client gets:
  "Unable to add or change accounts on the domain. The account information
  entered does not grant sufficient privilege to create or change accounts".
- Made printer driver directories world-writable

* Mon Nov 12 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-17]
- %L (logon server) -> %N (this server) in 11logonPath (as for 11logonHome)

* Mon Nov 12 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-16]
- Swapped 11logon{Home,Path}, added extra backslashes - thanks Greg Zartman
  and others

* Fri Nov 9 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-15]
- Left-justified output
- Removed some redundant use esmith::db lines and implied "return" statements

* Fri Nov 2 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-14]
- Suppressed more comments from output file
- Renamed all [global] fragments to 11*

* Fri Nov 2 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-13]
- Hid all commented-out parameters from output file (remove fragments later)
- Removed more comments from output file
- Unified indentation

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-12]
- Added 11level2Oplocks fragment to disable level2 oplocks
- Removed "share modes" options from [netlogon] share and cleaned up template

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-11]
- Added 61Profilesshare fragment

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-10]
- Removed netlogon comments from output file

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-09]
- Protect logon {home,path} with hard quotes and indent to match others

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-08]
- Added printers and profiles directories
- Need to verify permissions on these directories, Darrell had 777 for all

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-07]
- Merged in changes from dmc-mitel-samba-2.2.2-0 - Thanks Darrell May
- Moved machine-account-create from e-smith-base

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-06]
- Merged (and Obsoleted) e-smith-netlogon

* Thu Nov 1 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-05]
- guest ok = no, map to guest = never

* Mon Oct 22 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-04]
- Add action scripts and workgroup web panel plus associated symlinks

* Thu Oct 4 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-03]
- Removed comments from output file

* Thu Oct 4 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-02]
- Removed template-{begin,end}

* Thu Oct 4 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-01]
- Split from e-smith-base
- This version only contains the smb.conf template fragments

%description
Configuration files and templates for the Samba daemon.

%prep
%setup
rm -rf root/service root/var/service root/etc/rc.d

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --file '/sbin/e-smith/systemd/nmbd-prepare' 'attr(0554,root,root)' \
    --file '/sbin/e-smith/systemd/smbd-prepare' 'attr(0554,root,root)' \
    --dir '/var/log/smbd' 'attr(2750,smelog,smelog)' \
    --dir '/var/log/nmbd' 'attr(2750,smelog,smelog)' \
    --file '/sbin/e-smith/samba_check_password' 'attr(0555,root,root)' \
    $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%pre
if [ $1 -gt 1 ] ; then
  if [ -e /var/service/smbd/run ] ; then
       /usr/bin/sv d smbd
       /usr/bin/sv d smbd/log
  fi
fi
if [ $1 -gt 1 ] ; then
  if [ -e /var/service/nmbd/run ] ; then
       /usr/bin/sv d nmbd
       /usr/bin/sv d nmbd/log
  fi
fi


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
